PipeWire: impl-module.c File Reference

PipeWire 0.3.34

Macros | Functions
impl-module.c File Reference

## Macros
#define | NAME "module"

## Functions
struct pw_impl_module * | pw_context_load_module (struct pw_context *context, const char *name, const char *args, struct pw_properties *properties)
| Load a module. More...
void | pw_impl_module_destroy (struct pw_impl_module *module)
| Destroy a module. More...
struct pw_context * | pw_impl_module_get_context (struct pw_impl_module *module)
| Get the context of a module. More...
struct pw_global * | pw_impl_module_get_global (struct pw_impl_module *module)
| Get the global of a module. More...
const struct pw_properties * | pw_impl_module_get_properties (struct pw_impl_module *module)
| Get the module properties. More...
int | pw_impl_module_update_properties (struct pw_impl_module *module, const struct spa_dict *dict)
| Update the module properties. More...
const struct pw_module_info * | pw_impl_module_get_info (struct pw_impl_module *module)
| Get the module info. More...
void | pw_impl_module_add_listener (struct pw_impl_module *module, struct spa_hook *listener, const struct pw_impl_module_events *events, void *data)
| Add an event listener to a module. More...

## Macro Definition Documentation

## ◆ NAME

#define NAME "module"

## Function Documentation

## ◆ pw_context_load_module()

struct pw_impl_module* pw_context_load_module | ( | struct pw_context * | context,
|  | const char * | name,
|  | const char * | args,
|  | struct pw_properties * | properties
| ) |  |

Load a module.

Parameters

  context | a PipeWire Context
  name | name of the module to load
  args | A string with arguments for the module
  properties | extra global properties

Returns
  A Dynamically loadable Module if the module could be loaded, or NULL on failure.

References pw_log_debug.

## ◆ pw_impl_module_add_listener()

void pw_impl_module_add_listener | ( | struct pw_impl_module * | module,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_module_events * | events,
|  | void * | data
| ) |  |

Add an event listener to a module.

References spa_hook_list_append().

Referenced by pipewire__module_init().

## ◆ pw_impl_module_destroy()

void pw_impl_module_destroy | ( | struct pw_impl_module * | module | ) |

Destroy a module.

Parameters

  module | the module to destroy

References impl::module, NAME, pw_global_destroy(), pw_in_valgrind(), pw_log_debug, pw_log_warn, pw_properties_free(), SPA_CONTAINER_OF, spa_hook_list_clean(), spa_hook_remove(), and spa_list_remove().

Referenced by pw_context_destroy().

## ◆ pw_impl_module_get_context()

struct pw_context* pw_impl_module_get_context | ( | struct pw_impl_module * | module | ) |

Get the context of a module.

Referenced by pipewire__module_init().

## ◆ pw_impl_module_get_global()

struct pw_global* pw_impl_module_get_global | ( | struct pw_impl_module * | module | ) |

Get the global of a module.

Referenced by pipewire__module_init().

## ◆ pw_impl_module_get_info()

const struct pw_module_info* pw_impl_module_get_info | ( | struct pw_impl_module * | module | ) |

Get the module info.

## ◆ pw_impl_module_get_properties()

const struct pw_properties* pw_impl_module_get_properties | ( | struct pw_impl_module * | module | ) |

Get the module properties.

## ◆ pw_impl_module_update_properties()

int pw_impl_module_update_properties | ( | struct pw_impl_module * | module,
|  | const struct spa_dict * | dict
| ) |  |

Update the module properties.

References NAME, pw_log_debug, PW_MODULE_CHANGE_MASK_PROPS, pw_properties_update(), and spa_list_for_each.

Referenced by pipewire__module_init().